%define name CommonC++
%define version 1.3.10
%define release %mkrel 1

%define major 2_1.3
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} %major -d


Summary:	A GNU package for creating portable C++ programs
Name:		%name
Version:	%version
Release:	%release
Group:		Development/C++
URL:		http://cplusplus.sourceforge.net/
Source:		http://peterhost.dl.sourceforge.net/sourceforge/gnutelephony/commoncpp2-%{version}.tar.bz2

License:	GPL
BuildRoot:	%_tmppath/%name-buildroot
BuildRequires:  libxml2-devel glibc-static-devel libstdc++-devel

%description
Common C++2 is a GNU package which offers portable "abstraction" of system
services such as threads, networks, and sockets. Common C++ also offers
individual frameworks generally useful to developing portable C++ applications
including a object persistance engine, math libraries, threading, sockets, etc.

Common C++2 is small, and highly portable. Common C++ will support most Unix
operating systems as well as Win32, in addition to GNU/Linux.

%package -n %libname
Summary:        A GNU package for creating portable C++ program
Group:          System/Libraries

%description -n %libname
Common C++2 is a GNU package which offers portable "abstraction" of system
services such as threads, networks, and sockets. Common C++ also offers
individual frameworks generally useful to developing portable C++ applications
including a object persistance engine, math libraries, threading, sockets, etc.

Common C++2 is small, and highly portable. Common C++ will support most Unix
operating systems as well as Win32, in addition to GNU/Linux.

This package contains the shared library part of CommonC++.

%package -n %libnamedev
Summary:        A GNU package for creating portable C++ program
Group:          Development/C++
Requires:	%libname = %version 
Provides:	libCommonC++2-devel = %version
Provides:	libCommonC++-devel
Requires: 	libxml2-devel

%description -n %libnamedev
Common C++ is a GNU package which offers portable "abstraction" of system
services such as threads, networks, and sockets. Common C++ also offers
individual frameworks generally useful to developing portable C++ applications
including a object persistance engine, math libraries, threading, sockets, etc.

Common C++ is small, and highly portable. Common C++ will support most Unix
operating systems as well as Win32, in addition to GNU/Linux.

This package contains the development files and documentation needed to build
programs with CommonC++.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n commoncpp2-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS -I/usr/include/libxml2/libxml/"
CXXFLAGS="$RPM_OPT_FLAGS -I/usr/include/libxml2/libxml/"
./configure --prefix=%_prefix --datadir=%_datadir --libdir=%_libdir
# it tries to run make install, so we exit with 0
%make ||:

%install
rm -rf %buildroot
%makeinstall 
%multiarch_binaries %buildroot/%_bindir/ccgnu2-config

%clean
rm -rf %buildroot

%files -n %libname
%defattr(-,root,root,0755)
%_libdir/*.so.*

%files -n %libnamedev
%defattr(-,root,root,0755)
%doc AUTHORS NEWS README TODO ChangeLog 
%_bindir/*/ccgnu2-config
%_bindir/ccgnu2-config
%_datadir/aclocal/*
%_infodir/*
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%_includedir/cc++2
%_libdir/pkgconfig/*.pc

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%post -n %libnamedev
%_install_info commoncpp2.info

%postun -n %libnamedev
%_remove_install_info commoncpp2.info

%changelog
* Thu Jun 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.10-1mdk
- New release 1.3.10

* Thu Jun 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.9-1mdk
- New release 1.3.9

* Wed Apr 6 2005 Austin Acton <austin@mandrake.org> 1.3.6-1mdk
- 1.3.6
- new source URL

* Sun Jan 30 2005 Austin Acton <austin@mandrake.org> 1.3.1-1mdk
- 1.3.1
- move pc file to devel package

* Mon Nov 08 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.5-1mdk
- 1.2.5

* Wed Jun 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.13-4mdk
- Rebuild

* Wed Oct 15 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.13-3mdk
- don't use macro for configure

* Fri Apr 25 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.9-3mdk
- adjust buildrequires

* Sun Apr 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.9-2mdk
- use mklibname

* Sun Apr 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.9-1mdk
- 1.0.9

* Wed Feb 19 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.8-1mdk
- 1.0.8

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.6-2mdk
- rebuild

* Fri Nov 22 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.6-1mdk
- 1.0.6
- add info files
- fix unpackaged files
- Obsoletes lib%%{name}_0 and lib%%{name}_0-devel
- fix lib provides

* Thu Oct 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk
- fix name of config tool

* Wed Oct 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2

* Tue Aug 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0

* Sun Jun 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.99.5-1mdk
- 0.99.5

* Tue Jun 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.99.4-1mdk
- 0.99.4

* Fri May 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.99.3-2mdk
- rebuild against new libstdc++

* Wed Apr 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.99.3-1mdk
- 0.99.3
